
## FIXME/TODO

## Conditional build:
%define _enable_dnssd --enable-dnssd
%define dnssd mDNSResponder

## distro/release specific support
# 
%if 0%{?fedora} > 3 || 0%{?rhel} > 4
%define _with_hal --with-hal
%endif
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define dbus_patch 1
%undefine _enable_dnssd
%endif

# kde-redhat mods/fixes
%define kappfinder 1 
%define is_release 2 

Summary: K Desktop Environment - core files
Name:	 kdebase
Group:	 User Interface/Desktops
Epoch:	 6
Version: 3.5.6
Release: 4%{?dist}%{?kde}

License: GPL
Url:	 http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Requires: kde-filesystem

# /sbin/fuser
Requires: psmisc

### Optional items -- Rex
## kio_fish support 
# Requires(hint): openssh-clients
## For PDFinfo
# Requires(hint): xpdf
## kdeeject uses eject
%ifnarch s390 s390x
Requires: eject
%endif
## See http://bugzilla.redhat.com/191306
Requires(hint): htdig
## man2html
Requires(hint): man

BuildRequires: kdelibs-devel >= 6:%{version}
Requires: kdelibs >= 6:%{version}
%if "%{is_release}" != "1"
BuildRequires: automake libtool
%endif
BuildRequires: libxslt-devel libxml2-devel
%if 0%{?fedora} > 6
BuildRequires: libsmbclient-devel
%else
BuildRequires: samba >= 0:3.0.9 
%endif
Requires: samba-common >= 0:3.0.9
# samba-3.0.11 binary-incompatible, blacklist it
BuildConflicts: samba-common = 0:3.0.11
Conflicts: samba-common = 0:3.0.11
%if "%{?_with_hal:1}" == "1"
BuildRequires: hal-devel >= 0:0.5
%if "%{?dbus_patch:1}" == "1"
BuildRequires: dbus-devel >= 0:0.6
%else
BuildRequires: dbus-qt-devel
%endif
%endif
BuildRequires: doxygen
BuildRequires: sed 
BuildRequires: pam-devel
BuildRequires: gettext
BuildRequires: pkgconfig
BuildRequires: bzip2-devel
BuildRequires: openssl-devel
BuildRequires: openldap-devel
BuildRequires: freetype-devel
BuildRequires: libvorbis-devel >= 1:1.1.0
BuildRequires: lm_sensors-devel
BuildRequires: libraw1394-devel
BuildRequires: libusb-devel
BuildRequires: cyrus-sasl-devel >= 2.1
BuildRequires: libart_lgpl-devel
## Extras
BuildRequires: OpenEXR-devel
# kcm_dnssd 
%{?_enable_dnssd:BuildRequires: %{dnssd}-devel}
%{?_enable_dnssd:Requires: %{dnssd}}
## X11 support details (xmkmf, bdftopcf)
%define x_deps xorg-x11-devel xorg-x11-font-utils
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define x_modular 1
%define x_deps1 xorg-x11-proto-devel xorg-x11-font-utils imake 
%define x_deps2 libXcomposite-devel libXdamage-devel libXext-devel libXfixes-devel 
%define x_deps3 libXinerama-devel libXrandr-devel libXScrnSaver-devel libXtst-devel libXxf86misc-devel
%define x_deps4 libfontenc-devel libxkbfile-devel
%define x_deps %{?x_deps1} %{?x_deps2} %{?x_deps3} %{?x_deps4}
%endif
BuildRequires: %{x_deps}

Conflicts: kdeutils < 6:3.3
Conflicts: kdeedu < 0:3.3.90

Source1: konsole.desktop 
Source2: KDE.session.gnome 
Source3: kde.desktop 
Source5: kde-np.pamd
# "logrotate /var/log/kdm.log" http://bugzilla.redhat.com/178328
Source6: kdm.logrotate
Source7: mailsettings.cc 

Source9: cr16-app-package_games_kids.png
Source10: cr32-app-package_games_kids.png
Source11: cr48-app-package_games_kids.png

## kde-redhat Sources
Source20:   xdg-menu.sh
Source50:   kde-np-legacy.pamd
Source1001: kde.pamd
Source1002: kde-legacy.pamd

Patch0: kde-libtool.patch
Patch1: kdebase-%{version}-startkde.patch
Patch2: kdebase-3.3.92-vroot.patch
Patch3: kdebase-3.x-shortcuts.patch
Patch4: kdebase-3.2.0-keymap.patch
Patch5: kdebase-3.1-startpage.patch
Patch6: kdebase-3.1.3-konsole-double-esc.patch
Patch7: kdebase-3.3.92-kpersonalizer.patch
Patch8: kdebase-3.2.92-logo.patch
Patch9: kdebase-3.2.2-konsole-setInputMethodEnabled-20040525.diff
Patch10: kdebase-3.4.2-kdesktop-konsole.patch
Patch11: kdebase-3.5.1-xdg.patch
# See svn://anonsvn.kde.org/home/kde/branches/work/coolos_media
Patch13: kdebase-3.5.5-dbus.patch
Patch14: kdebase-3.5.1-kdm-readme.patch
Patch15: kdebase-3.5.1-konsole-fonts.patch
Patch17: kdebase-3.3.1-pam_krb5-bz#191049.patch
Patch18: kdebase-3.5.2-kconf_update-klipper.patch
Patch20: kdebase-3.5.3-keyinit.patch
Patch21: kdebase-3.5.3-khelpcenter-sort.patch
Patch22: kdebase-3.5.4-htdig.patch
Patch23: kdebase-3.5.4-antialias.patch
Patch24: kdebase-3.5.4-tango-icon-theme.patch

# See     http://gwenole.beauchesne.info/en/projects/nspluginwrapper/help
Patch200: http://gwenole.beauchesne.info/projects/nspluginwrapper/files/kdebase-3.4.2-npapi-64bit-fixes.patch

## upstream patches
#  XDG's NoDisplay flag is not processed correctly: http://bugs.kde.org/134816 
Patch134816: kdebase-3.5.5-kde#134816.patch
# desktop unusable due to flickering of windows if not "focus follows click", http://bugs.kde.org/135250
Patch135250: kdebase-3.5.5-kde#135250.patch
# devices that are in fstab should show up no matter what HAL thinks
Patch593835: kdebase-3.5.5-hal_fstab.patch

## kde-redhat patches 
# http://tango-project.org/Installation#Patches_to_KDE
Patch1005: http://straw.sh.nu/kde/kdebase-new-icon-theme-contexts-5.diff 

%description
Core applications for the K Desktop Environment.  Included are: 
kwin (window manager), konqueror (filemanager, web browser, ftp client...), 
konsole (xterm replacement), kpanel (application starter and desktop pager),
kdehelp (viewer for kde help files, info and man pages), kthememgr
(system for managing alternate theme packages) plus other KDE
components (kcheckpass, kikbd, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit).

%package devel
Summary: Development files for %{name}. 
Group:	 Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel 
%description devel
Header files for developing applications using %{name}.
Install kdebase-devel if you want to develop or compile Konqueror,
Kate plugins or KWin styles.

%package kdm
Summary: KDE Desktop Manager
Group:   User Interface/Desktop
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kde-settings-kdm >= 3.5
%description kdm
%{summary}.


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version} 
%else
%setup -q -n %{name} 
%endif

#patch0 -p1 -b .libtool
%patch1 -p1 -b .startkde
%patch2 -p1 -b .vroot
%patch3 -p1 -b .shortcuts
%patch4 -p1 -b .keymap
%patch5 -p1
%patch6 -p1 -b .konsole
%{?redhatify:%patch7 -p1 -b .kper}
%{?redhatify:%patch8 -p1 -b .logo}
%patch9 -p1 -b .im
%patch10 -p1 -b .kdestop-konsole
%patch11 -p1 -b .xdg
%{?dbus_patch:%patch13 -p1 -b .dbus}
%patch14 -p1 -b .kdm-readme
%patch15 -p1 -b .konsole-fonts
#if 0%{?fedora} > 4 || 0%{?rhel} > 4
%if "%{version}" < "3.5.5"
%patch17 -p1 -b .pam_krb5-bz#191049
%endif
%patch18 -p1 -b .klipper
%if 0%{?fedora} > 5 || 0%{?rhel} > 4
%patch20 -p1 -b .keyinit
%endif
%patch21 -p1 -b .khelpcenter-sort
%patch22 -p1 -b .htdig
%patch23 -p1 -b .antialias
%patch24 -p1 -b .tango-icon-theme

%patch200 -p1 -b .npapi-64bit-fixes

# upstream patches
%if "%{version}" < "3.5.6"
%patch134816 -p0 -b .kde#134816
%patch135250 -p1 -b .kde#135250
%patch593835 -p1 -b .hal_fstab
%endif

## kde-redhat patches
#see also patch24
#patch1005 -p0 -b .tango-5

%if "%{?redhatify}" == "1" 
install -p -m644 %{SOURCE1} konsole
%endif

# add missing icons for package_games_kids
install -p -m644 %{SOURCE9} %{SOURCE10} %{SOURCE11} pics/crystalsvg/

# set Konqueror version
sed -i -e "s,^#define.*KONQUEROR_VERSION.*,#define KONQUEROR_VERSION \"%{version}-%{release}\"," konqueror/version.h

%if "%{is_release}" != "1"
make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  %{?debug: --enable-debug --enable-warnings --disable-final } \
  --with-pam=yes \
  --with-kdm-pam=kdm \
  --with-kcp-pam=kcheckpass \
  --with-kss-pam=kscreensaver \
  --with-libraw1394 \
  --with-openexr \
  --with-samba \
  --with-sensors \
  --with-xinerama \
  --with-xscreensaver \
  %{?_enable_dnssd} %{!?_enable_dnssd:--disable-dnssd} \
  %{?_with_hal} %{!?_with_hal:--without-hal} 

make %{?_smp_mflags} 

# build mailsettings tool
%{__cxx} $CXXFLAGS -o mailsettings %{SOURCE7}

# apidocs
make %{?_smp_mflags} apidox


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT RUN_KAPPFINDER=no 

install -p -m755 -D mailsettings $RPM_BUILD_ROOT%{_bindir}/mailsettings

# Fix up permissions on some things
chmod 755 $RPM_BUILD_ROOT%{_bindir}/kcheckpass
chmod 755 $RPM_BUILD_ROOT%{_bindir}/kdesud

## install pam configuration files
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
install -p -m644 -D %{SOURCE5}    $RPM_BUILD_ROOT/etc/pam.d/kdm-np
install -p -m644 -D %{SOURCE1001} $RPM_BUILD_ROOT/etc/pam.d/kdm
install -p -m644 -D %{SOURCE1001} $RPM_BUILD_ROOT/etc/pam.d/kscreensaver
install -p -m644 -D %{SOURCE1001} $RPM_BUILD_ROOT/etc/pam.d/kcheckpass
%else
install -p -m644 -D %{SOURCE50}   $RPM_BUILD_ROOT/etc/pam.d/kdm-np
install -p -m644 -D %{SOURCE1002} $RPM_BUILD_ROOT/etc/pam.d/kdm
install -p -m644 -D %{SOURCE1002} $RPM_BUILD_ROOT/etc/pam.d/kscreensaver
install -p -m644 -D %{SOURCE1002} $RPM_BUILD_ROOT/etc/pam.d/kcheckpass
%endif

## fixup pam.d entries for possibly missing pam modules
## (timestamp < rh73, selinux < fc2)
%if 0
pushd $RPM_BUILD_ROOT/etc/pam.d
for pam_svc in * ; do
  for pam_mod in pam_timestamp.so pam_selinux.so ; do
    if [ ! -x /lib/security/${pam_mod} ]; then
      grep -v $pam_mod $pam_svc > ${pam_cvs}.new && mv ${pam_cvs}.new $pam_svc
    fi
  done
done
popd
%endif

%if "%{?kappfinder}" != "1"
rm -rf $RPM_BUILD_ROOT%{_prefix}/*/kappfinder \
       $RPM_BUILD_ROOT%{_datadir}/applnk/System/kappfinder.desktop \
       $RPM_BUILD_ROOT%{_datadir}/apps/kappfinder
%endif

# Nuke man2html - we get it from man
find $RPM_BUILD_ROOT -name "man2html*" |xargs rm -rf

# gdm(1) session support
%if "%{?legacy:1}" == "1"
install -p -D -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/KDE
%endif
# (common) session support %%_datadir/xessions
install -d $RPM_BUILD_ROOT%{_datadir}/xsessions
cp -lf \
  $RPM_BUILD_ROOT%{_datadir}/apps/kdm/sessions/kde.desktop \
  $RPM_BUILD_ROOT%{_datadir}/xsessions/kde.desktop

## KDM setup/config
# nuke, use external kde-config-kdm
rm -rf  $RPM_BUILD_ROOT%{_datadir}/config/kdm

# Make symlinks relative
pushd $RPM_BUILD_ROOT/%{_docdir}/HTML/en
for i in */*/*; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../../common $i/common
done
for i in */*; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../common $i/common
done
for i in *; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

## OnlyShowIn=KDE
pushd $RPM_BUILD_ROOT%{_datadir}/applications/kde
for f in *.desktop ; do
  if [ "$f" != "konqbrowser.desktop" ] ; then
    desktop-file-install --vendor="" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
	--add-only-show-in=KDE \
	$RPM_BUILD_ROOT%{_datadir}/applications/kde/$f || \
    echo "OnlyShowIn=KDE;" >> $f
  fi
done
popd
for f in $(find $RPM_BUILD_ROOT%{_datadir}/applnk -name "*.desktop") ; do
  echo "OnlyShowIn=KDE;" >> $f
done

# kdm %%doc
cp -alf kdm/ChangeLog kdm.ChangeLog
rm -rf $RPM_BUILD_ROOT%{_docdir}/kdm

# create/own Mozilla plugin dir
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# "create/own /usr/env,/usr/shutdown", http://bugzilla.redhat.com/178326
# and /etc/kde/env,/etc/kde/shutdown
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{env,shutdown}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kde/{env,shutdown}

install -p -D -m644 %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/kde/env/xdg-menu.sh

%if "%{version}" < "3.5.6"
# rename to kde-games-kids as it's defined in applications.menu
mv %{buildroot}%{_datadir}/desktop-directories/kde-games-kidsgames.directory \
   %{buildroot}%{_datadir}/desktop-directories/kde-games-kids.directory ||:
%endif

# workaround kde bug:
# http://bugs.kde.org/75820
# and own /etc/fonts/Fontmap.
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/fonts/
#touch $RPM_BUILD_ROOT%{_sysconfdir}/fonts/Fontmap

# "logrotate /var/log/kdm.log" http://bugzilla.redhat.com/178328
install -p -m644 -D %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/kdm

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done  
fi  

mv %{name}.lang %{name}.list
# Handle .la, .so files (v0.6)
[ ! -f %{name}.list ] && echo "%defattr(-,root,root,-)" > %{name}.list
[ ! -f devel.list ]  && echo "%defattr(-,root,root,-)" > devel.list
for solib in ${RPM_BUILD_ROOT}%{_libdir}/*.so* ; do
  soname=$(basename ${solib})
  base=$(basename ${soname} .so)
  if [ -L ${solib} ]; then
    if [ "${soname}" == "${base}.so" ]; then
      echo "%{_libdir}/${soname}" >> devel.list
      if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
        ## Should be able to omit these, but that's not always true -- Rex
        #echo "%exclude %{_libdir}/${base}.la" >> devel.list
        echo "%{_libdir}/${base}.la" >> devel.list
      fi
    else
      echo "%{_libdir}/${soname}" >> %{name}.list
    fi
  else
    if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
      ## Should be safe since we patched kdelibs, but that not always true (either) -- Rex
      #echo "%exclude %{_libdir}/${base}.la" >> %{name}.list
      echo "%{_libdir}/${base}.la" >> %{name}.list
    fi
    echo "%{_libdir}/${soname}" >> %{name}.list
  fi
done

## Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts/override


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.list
%defattr(-,root,root,-)
%doc AUTHORS COPYING README 
## gdm session
%if "%{?legacy:1}" == "1"
%config(noreplace) /etc/X11/gdm/Sessions/*
%endif
## gdm2/kdm(common) session
%config %{_datadir}/xsessions/*
%config(noreplace) %{_sysconfdir}/ksysguarddrc
%{_sysconfdir}/xdg/menus/*
%config %{_datadir}/config*/*
%{_libdir}/mozilla/
%{_datadir}/locale/l10n/
%{_datadir}/locale/*/entry.desktop
%{_bindir}/*
%attr(4755,root,root) %{_bindir}/kcheckpass
%{_libdir}/kconf_update_bin
%{_libdir}/kde3/*.[ls][ao]
%{_datadir}/applnk/*.desktop
%{_datadir}/applnk/*/*
%{_datadir}/applnk/.hidden/
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/*
%{_datadir}/autostart/*
%{_datadir}/desktop-directories/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/service*/*
%{_datadir}/sounds/
%{_datadir}/templates/*.desktop
%{_datadir}/templates/.source/
%{_datadir}/wallpapers/
## kde startup scripts
%{_sysconfdir}/kde/env/*.sh
# apidocs
%exclude %{_docdir}/HTML/en/kdebase-apidocs
%{_sysconfdir}/pam.d/kcheckpass
%{_sysconfdir}/pam.d/kscreensaver
# kdm bits
%exclude %{_sysconfdir}/logrotate.d/kdm
%exclude %{_bindir}/*kdm*
%exclude %{_libdir}/kde3/kcm_kdm.*
%exclude %{_datadir}/applications/kde/kdm.desktop
%exclude %{_datadir}/apps/kdm/
%exclude %{_docdir}/HTML/en/kcontrol/kdm/
%exclude %{_docdir}/HTML/en/kdm/

%files devel -f devel.list
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kdebase-apidocs/
%{_includedir}/kde/*

%files kdm
%defattr(-,root,root,-)
%doc kdm.Change*
%config(noreplace) %{_sysconfdir}/logrotate.d/kdm
%config(noreplace) %{_sysconfdir}/pam.d/kdm*
%{_bindir}/*kdm*
%{_libdir}/kde3/kcm_kdm.*
%{_datadir}/applications/kde/kdm.desktop
%{_datadir}/apps/kdm/
%{_docdir}/HTML/en/kcontrol/kdm/
%{_docdir}/HTML/en/kdm/



%clean 
rm -rf $RPM_BUILD_ROOT 


%changelog
* Sat Feb 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-4
- kde-config -> kde-settings

* Mon Jan 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-3
- *really* include pam.d/(kcheckpass,kscreensaver| to main pkg

* Wed Jan 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-2
- move pam.d/(kcheckpass,kscreensaver| to main pkg (from -kdm)

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-1
- kde-3.5.6

* Thu Jan 04 2007 Rex Dieter 6:3.5.5-1.5
- use XDG_MENU_PREFIX=kde-
- -kdm subpkg

* Fri Dec 01 2006 Rex Dieter 6:3.5.5-1.2
- don't own %%_datadir/templates (leave that for kde-filesystem)

* Mon Nov 20 2006 Rex Dieter 6:3.5.5-1.1
- Requires: kde-config-kdm
- npapi-64bit-fixes.patch
- %%post/%%postun: use xdg-utils 
- drop deprecated xpdf, acroread patches

* Mon Nov 06 2006 Rex Dieter 6:3.5.5-1.0
- respin 

* Wed Nov 01 2006 Rex Dieter 6:3.5.5-0.9
- sync w/FC-6's 3.5.5-0.1 dbus patch
- XDG's NoDisplay flag is not processed correcrly (kde#134816)

* Thu Oct 19 2006 Rex Dieter 6:3.5.5-0.8
- flickering of windows if not "focus follows click" (kde#135250)

* Tue Oct 17 2006 Rex Dieter 6:3.5.5-0.7
- drop dir/symlink %_datadir/config/kdm too, let
  kdebase-config handle (all of) that.

* Fri Oct 13 2006 Rex Dieter 6:3.5.5-0.6
- *really* drop all kdm(config) bits

* Fri Oct 13 2006 Rex Dieter 6:3.5.5-0.5
- drop all kdm-config bits 

* Wed Oct 11 2006 Rex Dieter 6:3.5.5-0.4
- Requires: kde-filesystem

* Mon Oct 09 2006 Rex Dieter 6:3.5.5-0.3
- respun tarball
- hal_fstab patch
- Requires: kdebase-config

* Fri Oct 06 2006 Rex Dieter 6:3.5.5-0.2
- 3.5.5
- drop Bluecurve (default) theming

* Mon Oct 02 2006 Than Ngo Than Ngo <than@redhat.com> 6:3.5.4-12
- fix #178320,#198828, follow menu-spec

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.4-11
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 29 2006 Rex Dieter 6:3.5.4-10.0
- Media mounting no longer works without HAL (kde bug #132281)
- %%post: don't set kdm as default DISPLAYMANAGER (for now)

* Tue Sep 26 2006 Than Ngo <than@redhat.com> 6:3.5.4-10
- FedoraDNA for KDM
- fix #205566, don't overwrite config files
- fix #178320,#198828, follow menu-spec

* Fri Sep 22 2006 Than Ngo <than@redhat.com> 6:3.5.4-9
- fedora desktop background

* Tue Sep 12 2006 Than Ngo <than@redhat.com> 6:3.5.4-8
- apply upstream patch
   fix #205701, no bold is displayed in konsole
   fix two possible mem leaks
- add missing icons for package_games_kids
- add more icon contexts (Tango icontheme)

* Thu Sep 07 2006 Than Ngo <than@redhat.com> 6:3.5.4-7
- apply upstream patch
   fix #53642, Menubar is always visible after coming back from fullscreen
   fix #133665, crash in kiosk mode

* Mon Aug 28 2006 Than Ngo <than@redhat.com> 6:3.5.4-6
- fix broken deps for s390(x)

* Fri Aug 25 2006 Than Ngo <than@redhat.com> 6:3.5.4-5
- add Requires: eject
- fix #203279, antialiasing issue
- apply upstream patch to fix kdedesktop crash, kde#132873
- fix #201507, pam config issue
- fix kdm crash

* Mon Aug 21 2006 Than Ngo <than@redhat.com> 6:3.5.4-4
- fix #203221, konsole does not display bold characters

* Fri Aug 18 2006 Than Ngo <than@redhat.com> 6:3.5.4-3
- fix #203083, correct htdig settings

* Tue Aug 15 2006 Than Ngo <than@redhat.com> 6:3.5.4-2
- apply upstream patch to fix argument quoting

* Tue Aug 08 2006 Than Ngo <than@redhat.com> 6:3.5.4-1
- apply upstream patch to fix KDED crashing on startup when D-BUS is unavailable.
- apply upstream patch to fix kde#128552, kicker regression

* Mon Aug 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1.2
- kicker-taskbar-resize.diff from kde-packagers (kde bug #128552)

* Mon Aug 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1.1
- Requires: eject (kdeeject uses it)

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1.0
- kde-3.5.4

* Thu Jul 13 2006 Rex Dieter 6:3.5.3-9.1 
- use freebsd's xscreensaver patch (kde bug #128610)

* Tue Jul 11 2006 Rex Dieter 6:3.5.3-9.0
- patch "desktop icons align to grid broken" (kde bug #122001)
- Requires: psmisc (for /sbin/fuser)

* Tue Jul 11 2006 Than Ngo <than@redhat.com> 6:3.5.3-9
- upstream patches,
    #kde127971 hard Drive device icons do not show on desktop

* Thu Jul 06 2006 Than Ngo <than@redhat.com> 6:3.5.3-8
- fix #187228, kio_media_mounthelper fails with fuser
- apply upstream patches, fix #87613

* Mon Jun 26 2006 Than Ngo <than@redhat.com> 6:3.5.3-7
- apply patch to check return value

* Wed Jun 14 2006 Than Ngo <than@redhat.com> 6:3.5.3-6
- apply patch to to fix #194659, CVE-2006-2449 KDM symlink attack vulnerability
  thanks to KDE security team

* Sat Jun 10 2006 Than Ngo <than@redhat.com> 6:3.5.3-5
- add several upstream patches

* Fri Jun 09 2006 Rex Dieter 6:3.5.3-4.0
- http://www.kde.org/info/security/advisory-20060615-1.txt (rh bug #194659)

* Wed Jun 07 2006 Rex Dieter 6:3.5.3-1.2
- kscreensaver does not launch (kde bug #128610)

* Thu Jun 01 2006 Than Ngo <than@redhat.com> 6:3.5.3-1.1
- update kioslave_media_dbus patch

* Wed May 24 2006 Rex Dieter 6:3.5.3-1.0
- kde-3.5.3

* Fri May 19 2006 Than Ngo <than@redhat.com> 6:3.5.2-10
- fix #191049, KDE screensaver calls PAM incorrectly
- fix 191306, Kde Help Center can't build an index

* Tue May 16 2006 Rex Dieter 6:3.5.2-9.0
- fc5+: disable mdns support, causes ksysguard to crash (rh #187822)

* Tue May 16 2006 Than Ngo <than@redhat.com> 6:3.5.2-9
- fix 186425, KDE Terminal Sessions applet does not display konsole bookmarks

* Fri May 12 2006 Than Ngo <than@redhat.com> 6:3.5.2-8
- fix 190836, xmTextFieldClass widgets don't work properly
- fix 153202, startkde gets wrong field from space_tmp/space_home with finnish

* Thu May 11 2006 Rex Dieter 6:3.5.2-7.2
- konqbrowser.desktop: revert +X-KDE-More

* Fri May 05 2006 Rex Dieter 6:3.5.2-7.1
- .desktop files: OnlyShowIn=KDE (except for konqbrowser.desktop)

* Thu May 04 2006 Rex Dieter 6:3.5.2-7.0
- rework/simplify handling of XDG_CONFIG_DIR (#178320)

* Thu May 04 2006 Than Ngo <than@redhat.com> 6:3.5.2-6
- add missing kcheckpass

* Fri Apr 28 2006 Than Ngo <than@redhat.com> 6:3.5.2-5
- fix #189702, kwin crashes when switching windows with Alt-Tab

* Tue Apr 25 2006 Than Ngo <than@redhat.com> 6:3.5.2-4
- fix #189790, kcheckpass cannot authenticate users using a LDAP directory

* Sat Apr 08 2006 Rex Dieter 6:3.5.2-1.6
- BR: libXcomposite-devel libXfixes-devel libXinerama-devel libXrandr-devel 
  libXScrnSaver-devel libfontenc-devel (fc5+)
- make apidocs

* Tue Apr 04 2006 Rex Dieter 6:3.5.2-1.5
- cleanup avahi detection (fc5+, rh #187822)

* Mon Apr 03 2006 Rex Dieter 6:3.5.2-1.4
- fix dbus patch
- kwin crashes when switching windows with Alt-Tab (kde #124511)
- use avahi instead of mDNSResponder (fc5+, rh #187822)
- kscreensaver/kdm/kcheckpass use a separate PAM config file (rh #66902)

* Mon Apr 03 2006 Than Ngo <than@redhat.com> 6:3.5.2-2
- update dbus patch

* Sun Apr 02 2006 Rex Dieter 6:3.5.2-1.3
- update dbus patch

* Thu Mar 30 2006 Rex Dieter 6:3.5.2-1.2
- %%post: fixup kdmrc on upgrades too

* Wed Mar 29 2006 Rex Dieter 6:3.5.2-1.1
- /etc/kde/kdm/kdmrc: fix (comment out) Xrdb=... (fc5+)
- /etc/kde/kdm/kdmrc: fix Session=... (fc5+)

* Mon Mar 20 2006 Rex Dieter 6:3.5.2-1.0
- 3.5.2

* Wed Feb 22 2006 Rex Dieter 1:3.5.1-4.2
- fix -startkde.patch (/etc/kde/env -> /etc/kde/env/)

* Fri Feb 17 2006 Rex Dieter 1:3.5.1-4.1
- use Requires(hint) for optional bits 
  (desktop-backgrounds-basic, redhat-artwork)
- tweak kde-redhat-config

* Thu Feb 16 2006 Rex Dieter 6:3.5.1-4.0
- startkde: don't ignore/omit /usr/env,/usr/shutdown (#176326)
- sync kde.pamd.legacy 

* Thu Feb 16 2006 Than Ngo <than@redhat.com> 6:3.5.1-4
- Systray icons not docked sometimes, apply patch to fix this issue #180314

* Wed Feb 15 2006 Than Ngo <than@redhat.com> 6:3.5.1-3
- kscreensaver/kdm/kcheckpass use a separate PAM config file #66902
- cleanup kdm config file #166388
- apply patch to launch kde scripts in shutdown,env directories #178326
- kdm.log logrotate-enabled #178328
- add konqueror webshortcuts for fedora project #178366
- don't include unnecessary README #169331

* Thu Feb 02 2006 Rex Dieter 6:3.5.1-1.4
- kxkb patch (kde bug #121087)

* Wed Feb 01 2006 Than Ngo <than@redhat.com> 6:3.5.1-1
- apply patch to fix kded segfaults for audio/blank cd's
- add buildrequires on libxkbfile-devel

* Tue Jan 31 2006 Rex Dieter 6:3.5.1-1.3
- include tango patch(es)

* Fri Jan 27 2006 Rex Dieter 6:3.5.1-1.2
- BR: libart_lgpl-devel, OpenEXR-devel

* Tue Jan 24 2006 Rex Dieter 6:3.5.1-1.1
- patch to revert fix from http://bugs.kde.org/100177

* Sat Jan 21 2006 Rex Dieter 6:3.5.1-1.0
- kde-3.5.1

* Thu Jan 19 2006 Rex Dieter 6:3.5.0-1.4
- document "create/own /usr/env,/usr/shutdown" (rh bug #178326)
- document "logrotate /var/log/kdm.log" (rh bug #178328)
- document "follow fdo icon spec" (rh #178331)

* Sun Jan 08 2006 Rex Dieter 6:3.5.0-1.3
- rework X deps (esp for x modular)

* Fri Dec 08 2005 Rex Dieter 6:3.5.0-1.2
- --enable-new-ldflags
- --disable-gcc-hidden-visibility
- support modular X

* Sat Nov 26 2005 Rex Dieter 6:3.5.0-1.1
- respin

* Mon Nov 21 2005 Rex Dieter 6:3.5.0-1.0
- kde-3.5.0

* Sat Nov 12 2005 Rex Dieter 6:3.5.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Fri Nov 11 2005 Rex Dieter 6:3.4.3-1.2.kde
- "kdm segfaults on XDMCP request" (kde bug #114385)

* Wed Nov 02 2005 Rex Dieter 6:3.4.3-1.1.kde
- "going to administrator mode does not work" (kde bug #61850)

* Thu Oct 06 2005 Rex Dieter 6:3.4.3-1.0.kde
- 3.4.3

* Tue Sep 07 2005 Rex Dieter 6:3.4.2-1.5.kde
- fedora >=3: --with-hal (konq media:/ support)

* Tue Sep 06 2005 Rex Dieter 6:3.4.2-1.4.kde
- kcheckpass: http://www.kde.org/info/security/advisory-20050905-1.txt

* Fri Aug 12 2005 Rex Dieter 6:3.4.2-1.3.kde
- [] patch (kde bug #107170)

* Thu Aug 04 2005 Rex Dieter 6:3.4.2-1.2.kde
- stop (trying to) own /etc/fonts/Fontmap (see also kde bug #75820)

* Wed Aug 03 2005 Rex Dieter 6:3.4.2-1.1.kde
- enable dbus/hal support (fc3,fc4,el4)
- disable -fvisibility, for now (kde bug #101542)
- fix kde-np* 
- kdmrc: search/use /etc/X11/dm/Sessions too
- blacklist samba-3.0.11 (binary-incompatible)
- %%post: run genkdmconf only if needed
- Req: samba -> samba-common
- kdmrc: UseBackground=false

* Mon Aug 01 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Mon Jul 04 2005 Than Ngo <than@redhat.com> 3.4.1-4
- fix uninitialized variable warning #16231

* Mon Jun 27 2005 Than Ngo <than@redhat.com> 3.4.1-3
- apply patch to fix genkdmconfig crash #161751

* Mon Jun 27 2005 Than Ngo <than@redhat.com> 3.4.1-2
- fix gcc4 build problem

* Mon Jun 06 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1
- update pam configuration for the new audit system #159333 

* Tue May 03 2005 Than Ngo <than@redhat.com> 6:3.4.0-7
- fix broken kde-essential.menu

* Tue Apr 19 2005 Than Ngo <than@redhat.com> 6:3.4.0-6
- apply kdebase-3.4.0rc1-konsole-keymap.patch to change backspace key
  to ASCII-DEL, thanks to j.w.r.degoede@hhs.nl

* Wed Apr 13 2005 Than Ngo <than@redhat.com> 6:3.4.0-5
- add more fixes from CVS stable branch
- get rid of unneeded gcc4 workaround in konqueror

* Wed Apr 06 2005 Than Ngo <than@redhat.com> 6:3.4.0-4
- update kdebase-3.4.0rc1-konsole-keymap.patch
- add Bluecurve theme for kdm
- enable show device icons as default

* Fri Apr 01 2005 Than Ngo <than@redhat.com> 6:3.4.0-3
- include config.kcfg directory #153081

* Thu Mar 31 2005 Rex Dieter 6:3.4.0-2.0.kde
- include openoffice.org-kde workaround in kdeglobals
  (hint from kde bug #100849)
- add konsole in desktop menu

* Wed Mar 23 2005 Rex Dieter 6:3.4.0-1.2.kde
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)
- (re) add java-devel bits

* Fri Mar 16 2005 Rex Dieter 6:3.4.0-1.1.kde
- sync w/rawhide's kdebase-3.4.0-0.rc1.7

* Fri Mar 04 2005 Rex Dieter 6:3.4.0-1.0.kde
- 3.4.0(final)

* Wed Mar 02 2005 Rex Dieter 6:3.4.0-0.1.rc1
- sync w/rawhide's kdebase-3.4.0-0.rc1.3

* Thu Feb 24 2005 Rex Dieter 6:3.4.0-0.0.rc1
- 3.4.0-rc1

* Tue Feb 22 2005 Rex Dieter 6:3.3.92-0.5.kde
- 3.3.92
- use genkdmconf to migrate kdmrc

* Tue Dec 21 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.6.kde
- drop Req: redhat-artwork (nice, but not *strictly* required)
- drop java-devel bits (apparently not used)
- drop Req: libxml2

* Sat Dec 18 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.5.kde
- logrotate /var/log/kdm.log

* Thu Dec 16 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.4.kde
- more pie kdm goodness (esp for x86_64)

* Mon Dec 13 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.3.kde
- http://www.kde.org/info/security/advisory-20040811-3.txt 

* Thu Dec 09 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.2.kde
- more kdm config cleanup, try to preserve symlinks in /etc/kde/kdm.

* Wed Dec 08 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.1.kde
- kdm busted on fc2 due to redhat bug #134362, refactor kdm config without
  using symlinks, move kdmrc from /etc/X11/xdm/ to /etc/kde/kdm/

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.0.kde
- 3.3.2
- kiosk patch (kde bug #94224)

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.1-7.1.kde
- fc3
- drop BR: openmotif-devel

* Wed Oct 27 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.1-1.3.kde
- Try to fix flickering GL screensavers (kde bug #73813)

* Tue Oct 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-1.2.kde
- create/own %%_prefix/{env/shutdown} for startup/shutdown scripts

* Fri Oct 08 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-1.1.kde
- respin 

* Mon Oct 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-1.0.kde
- redhatify=1
- kde-redhatify=1

* Mon Oct 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-0.0.kde
- 3.3.1

* Thu Sep 30 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-7.0.kde
- sync to rawhide's 3.3.0-7

* Wed Sep 29 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-3.2.kde
- kxkb patch (kde bug #80970)

* Mon Sep 13 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-3.1.kde
- undo alt-f2 patch, fix in qt(and/or X) instead.

* Thu Sep 09 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-3.0.kde
- - don't mark /etc/kde/kdm/kdmrc as %%config (only /etc/X11/xdm/kdmrc)

* Wed Sep 08 2004 Than Ngo <than@redhat.com> 6:3.3.0-3
- Fix ALT-F2 command line opens on wrong desktop bug #129698

* Sun Sep 05 2004 Than Ngo <than@redhat.com> 6:3.3.0-2
- Own mozilla plugin dir, bug #131667
- Fix hangup in kicker when user clears clipboard history fom klipper
- Fix df problem on AFS again

* Fri Sep 03 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.3-1.2.kde
- Conflicts: kdeutils < 3.3 (kdepasswd was moved)

* Thu Aug 26 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.1.kde
- rebuild against kdelibs-3.3.0-1.1
- tweak kde-redhat-config default prefs (kdm: no UserList, kicker size)

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.0.kde
- 3.3.0

